using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace TFramework
{
    public static class AssetConfig
    {
        /// <summary>
        /// 运行模式
        /// </summary>
        public static UpdateMode RuntimeMode;

        /// <summary>
        /// 所有AssetBundle资源包清单的名称
        /// </summary>
        public static string AssetBundleManifestName { get; set; }

        /// <summary>
        /// AssetBundle资源加载根路径
        /// </summary>
        public static string AssetBundleRootPath
        {
            get
            {
                if (RuntimeMode == UpdateMode.Loacl)
                    return Application.streamingAssetsPath + "/";
                else if (RuntimeMode == UpdateMode.Bulid)
                    return Application.persistentDataPath + "/";
                else
                    return null;
            }
        }

        /// <summary>
        /// 资源服务器地址
        /// </summary>
        public static string ResUrl;
    }
}
